.main-bg {
    width: 100vw;
    height: 100vh;
    overflow-x: hidden;
    background-color: #f6f6f6;
}

.top-list {
    background-color: #f6f6f6 !important;
}

.top-search {
    width: calc(100% - 0.6rem);
    height: 0.6rem;
    background-color: #f6f6f6;
    border-radius: 4px;
    padding: 0.1rem 0.2rem;
    display: flex;
    justify-content: space-between;
    position: relative;
    margin-left: 0.3rem;
    margin-right: 0.3rem;
    border: 1px solid #eee;

    input {
        height: 100%;
        width: calc(100% - 1.5rem);
        border: 0;
        font-size: 0.24rem;
        color: #333;
        background-color: #f6f6f6;

        &::placeholder {
            color: #999;
        }
    }

    .search-btn {
        width: 1rem;
        height: 0.4rem;
        background-color: #E70012;
        text-align: center;
        border-radius: 4px;

        p {
            color: #fff;
            font-size: 0.24rem;
            line-height: 0.4rem;
        }
    }
}

.list-gd {
    position: relative;
    left: 0;
    width: calc(100% + 0.6rem);
    height: 0.9rem;
    z-index: 99;
    padding: 0 0.3rem;

    ul {
        width: 100%;
        height: 100%;
        display: flex;
        -ms-overflow-style: none;
        /* IE和Edge */
        scrollbar-width: none;
        /* Firefox */
        overflow-x: auto;
        /* 确保内容可滚动 */

        &::-webkit-scrollbar {
            display: none;
            /* 隐藏滚动条 */
        }

        li {
            flex-shrink: 0;

            &:last-child {
                margin-right: 1.2rem;
            }

            a {
                width: 100%;
                display: block;
            }

            p {
                font-size: 0.26rem;
                line-height: 0.9rem;
                color: #333;
                padding-right: 0.38rem;
            }
        }
    }

    .rt-zk {
        width: 1.17rem;
        height: 0.9rem;
        position: absolute;
        right: 0;
        top: 0;
        background: url(../img/rt-fl.png) no-repeat center 100% /100% 100%;
    }
}

.main-body {
    width: 100%;
    padding: 0.3rem 0.3rem 1rem 0.3rem;
    padding-top: 0;
    position: absolute;
    top: 1.76rem;
    z-index: 999;
    background-color: #f6f6f6;
}

.li-active {
    p {
        color: #E70012 !important;
        font-weight: bold !important;
    }
}

.list-container {
    width: calc(100% + 0.6rem);
    position: relative;
    left: -0.3rem;
}

/* 通用列表样式重置 */
ul {
    list-style: none;
    margin: 0;
    padding: 0;
}


.top-list::-webkit-scrollbar {
    height: 6px;
}

.top-list::-webkit-scrollbar-thumb {
    background-color: #ccc;
    border-radius: 3px;
}

/* 底部菜单容器 */
.bottom-container {
    position: relative;
}

/* 底部菜单切换按钮 */
.toggle-btn {
    background: url(../img/rt-fl.png) no-repeat center 100%/ 100% 100%;
    position: absolute;
    z-index: 9999;
    right: 0.3rem;
    width: 1.17rem;
    height: 0.9rem;
    top: 0;
    border: 0;
}

/* 底部列表样式 */
.gd-list {
    position: absolute;
    width: 100%;
    top: 0;
    display: none;
    left: -0.3rem;
    overflow: hidden;
    padding: 0 0.3rem;
    background-color: #fff;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

.gd-list.show {
    display: block;
}

.gd-mask {
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    left: 0;
}

.gd-list ul {
    display: grid;
    ;
    grid-template-columns: repeat(3, 1fr);
    justify-items: center;
}

.selected {
    p {
        color: #E70012 !important;
        font-weight: bold !important;
    }

}

.gd-zkk {
    flex-wrap: wrap;
    padding: 0.3rem 0;
    position: relative;
    z-index: 10;
    border-bottom: rgba(0, 0, 0, 0.1);

    li {
        text-align: center;
        width: 2.1rem !important;
        background-color: #eee;
        border-radius: 4px;
        margin-bottom: 0.2rem;

        &:last-child {
            margin-right: 0 !important;
        }

        p {
            padding: 0 !important;
            line-height: 0.6rem !important;
            display: -webkit-box;
            -webkit-box-orient: vertical;
            -webkit-line-clamp: 1;
            overflow: hidden;
            text-overflow: ellipsis;
            padding: 0 0.1rem !important;
        }
    }
}

.bottom-mask {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    background-color: rgba(0, 0, 0, 0.1);
}

.nr-list {
    width: 100%;

    ul {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;

        li {
            width: 3.4rem;
            position: relative;
            margin-bottom: 0.1rem;
            background-color: #fff;
            border: 1px solid #eee;
            border-radius: 4px;

            .pro-name {
                padding: 0 0.2rem;
                margin-bottom: 0.3rem;
                margin-top: 0.1rem;

                p {
                    font-size: 0.28rem;
                    color: #333;
                    line-height: 0.3rem;
                    margin-top: 0.1rem;
                    display: -webkit-box;
                    -webkit-box-orient: vertical;
                    -webkit-line-clamp: 2;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    line-height: 0.36rem;
                }
            }

            .pro-xx {
                width: 100%;
                padding: 0 0.2rem;
                display: flex;
                justify-content: space-between;

                p {
                    font-size: 0.28rem;
                    color: #E70012;
                    line-height: 0.3rem;
                    margin-top: 0.1rem;
                    display: -webkit-box;
                    -webkit-box-orient: vertical;
                    -webkit-line-clamp: 1;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    line-height: 0.36rem;
                    max-width: 1rem;
                }

                span {
                    font-size: 0.24rem;
                    color: #999;
                    line-height: 0.3rem;
                    margin-top: 0.1rem;
                    display: -webkit-box;
                    -webkit-box-orient: vertical;
                    -webkit-line-clamp: 1;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    line-height: 0.36rem;
                    max-width: calc(100% - 1.2rem);
                }
            }

            a {
                width: 100%;
                height: 100%;
                display: block;
            }

            .nr-lt {
                height: 100%;
                margin-right: 0.2rem;
            }

            img {
                width: 3.3rem;
                height: 3.3rem;
                border-radius: 4px;
                object-fit: contain;
                background-color: #fff;
                border-bottom: 1px solid #eee;
                padding: 0.2rem;
            }
        }
    }
}

.img-bgg {
    position: relative;
}

.top-list-placeholder {
    height: 2.7rem;
}

.sidebar {
    top: 1.76rem !important;
    z-index: 999999;
}

.bf-icon {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    /* 自动分配 margin 实现居中 */
    width: 0.64rem;
    height: 0.64rem;
    background: url(../img/bf-icon.png) no-repeat center 100% / 100% 100%;
}

.top-t {
    align-items: center !important;
}

.top-list {
    z-index: 999999 !important;
}

.top-choice {
    width: 100%;
    height: 0.96rem;
    background-color: #f6f6f6;
    border-top: 1px solid #ccc;
    display: flex;
    justify-content: space-between;
    padding: 0 0.3rem;
    align-items: center;

    .topch-left {
        width: 4.2rem;

        ul {
            width: 100%;
            height: 100%;
            display: flex;
            justify-content: space-between;

            li {
                display: flex;
                height: 0.96rem;
                align-items: center;

                p {
                    font-size: 0.26rem;
                    color: #333;
                }
            }
        }
    }

    .topch-right {
        width: 1.9rem;
        height: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;

        i {
            width: 0.26rem;
            height: 0.26rem;
            background: url(../img/fxk.png) no-repeat center 100%/ 100% 100%;
        }

        p {
            font-size: 0.26rem;
            color: #333;
        }
    }
}

.i-active {
    i {
        background: url(../img/fxk-active.png) no-repeat center 100%/ 100% 100% !important;
    }

    p {
        color: #E70012 !important;
    }

}

.active {
    p {
        color: #E70012 !important;
    }
}

.top-list {
    box-shadow: none !important;
}

.topch-active {
    a {
        p {
            color: #E70012 !important;
        }
    }
}

/* 排序控制器样式 */
.sort-container {
    display: flex;
    align-items: center;
    cursor: pointer;
    user-select: none;
    gap: -0.1rem;
}

.sort-text {
    font-weight: 500;
    color: #1f2937;
}

.icon-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    /* 箭头之间的间距 */
}

.sort-icon {
    width: 0.32rem;
    height: 0.32rem;
    opacity: 0.6;
    /* 默认半透明 */
    transition: all 0.3s ease;
}

/* 激活状态样式 */
.sort-icon.active {
    opacity: 1;
    /* 激活时不透明 */
    /* 放大效果 */
}